package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkCouponTemplateCreateRequest struct {
	/*
	   请求     */
	ParamCouponTemplateOperateRequest *domain.AlibabaWdkCouponTemplateCreateCouponTemplateOperateRequest `json:"param_coupon_template_operate_request,omitempty" required:"false" `
}

func (s *AlibabaWdkCouponTemplateCreateRequest) SetParamCouponTemplateOperateRequest(v domain.AlibabaWdkCouponTemplateCreateCouponTemplateOperateRequest) *AlibabaWdkCouponTemplateCreateRequest {
	s.ParamCouponTemplateOperateRequest = &v
	return s
}

func (req *AlibabaWdkCouponTemplateCreateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ParamCouponTemplateOperateRequest != nil {
		paramMap["param_coupon_template_operate_request"] = util.ConvertStruct(*req.ParamCouponTemplateOperateRequest)
	}
	return paramMap
}

func (req *AlibabaWdkCouponTemplateCreateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
